Subject: [Teas-ns-dt] Isolation : [Teas] FW: New Version Notification for draft-nsdt-teas-ietf-network-slice-definition-00.txt

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 28 Oct 2020 19:24:35 -0000

Hi Joel,

I wish we were not waiting to hear from the isolation trio on their proposal.

Nevertheless, I think it is worth looking at the text in Kiran's latest version. It goes, I think, some way to addressing your legitimate concerns about the concept of isolation.

*	Firstly, it observes that isolation is mainly the property of not being negatively impacted by other slices/services.

*	The it notes that the demand for isolation may be met by conformance to other SLOs.

*	And finally it separates isolation as an SLO from isolation as a realisation technique. 

While this continues to include the term ‘isolation’, it looks to me like a reasonable foundation for showing what is meant.

It’s tough for Kiran as she is trying to negotiate a line between those who want to discuss isolation and want it to be an integral part of slicing and those who want isolation to be totally left out of the draft.

A

-----Original Message-----

From: Joel M. Halpern <[email-masked]> 

Sent: 28 October 2020 17:16

To: [email-masked]; 'Kiran Makhijani' <[email-masked]>; [email-masked]; 'TEAS WG' <[email-masked]>

Subject: Re: [Teas] FW: New Version Notification for draft-nsdt-teas-ietf-network-slice-definition-00.txt

Hmmm.  I had understood something slightly different.   I may well have 

misunderstood.

I thought we would adopt as a WG document a document with place-holders 

for things like isolation.  Then folks could see if they could come up 

with something to fill those holes that the WG would accept during teh 

WG work on the document.  If we reached the end, and could not fill 

those gaps, then we would see if we could agree to remove the 

placeholder sections.

Yours,

Joel

On 10/28/2020 12:20 PM, Adrian Farrel wrote:

> Thanks Kiran,

> It is getting markedly better.

> I'll wait for Jie, Luis, and Jeff before I look at the draft again.

> A

> -----Original Message-----

> From: Kiran Makhijani <[email-masked]>

> Sent: 28 October 2020 15:53

> To: [email-masked]; [email-masked]; 'TEAS WG' <[email-masked]>

> Subject: RE: [Teas] FW: New Version Notification for

> draft-nsdt-teas-ietf-network-slice-definition-00.txt

> Thanks Adrian,

> According to authors the current text in this document is just enough to

> provide clarity on the IETF network slice concept.

> I remember you wanted current section 5 to be removed but we felt it's

> important and pruned it quite a bit - we will further combine section 5 and

> 10 to define end-to-end slices relationship and the structure in one place.

> Other than that, we are waiting for revision on isolation contribution from

> Jie, Luis, and Jeff.

> Yes, end-to-end slicing will need quite a bit of explanation but minimal

> description here is also important to show the scope of IETF network slices

> in the broader concept.

> I hope that the mailing list this time agrees that it is a reasonable

> terminology-set.

> -Kiran

>> -----Original Message-----

>> From: Adrian Farrel <[email-masked]>

>> Sent: Thursday, October 22, 2020 1:44 AM

>> To: Kiran Makhijani <[email-masked]>; [email-masked]; 'TEAS WG'

>> <[email-masked]>

>> Subject: RE: [Teas] FW: New Version Notification for draft-nsdt-teas-ietf-

>> network-slice-definition-00.txt

>> Kiran, all,

>> I want to thank the authors of this draft for their work and for

> listening.

>> This version of the draft is a *substantial* improvement.

>> Of course, I still have some issues I'd like to work through. Some of my

> concerns

>> are "just" language usage where the choice of words or phrasing means

>> something that I don't think the authors intend. Other concerns are about

> the

>> details. But all in all, this is going in the right direction.

>> I still think there is too much text in this definitions document. I think

> that is a

>> natural result of having several documents in the pipe at the same time.

> There

>> is explanation of how things work and hang together that, in my opinion,

>> should relocate to other documents - maybe the framework, maybe dedicated

>> applicability statements. For example, I can see value in a document

> explaining

>> how IETF network slices fit into the models of "end-to-end network slices"

> as

>> conceived in other SDOs.

>> Best,

>> Adrian

>> -----Original Message-----

>> From: Teas <[email-masked]> On Behalf Of Kiran Makhijani

>> Sent: 22 October 2020 07:12

>> To: [email-masked]; TEAS WG <[email-masked]>

>> Subject: [Teas] FW: New Version Notification for

> draft-nsdt-teas-ietf-network-

>> slice-definition-00.txt

>> Hello Teas and teas-ns-dt,

>> FYI: Please find new version of  IETF network slices (previously called

> transport

>> slices) definition document.

>> This is still a work in progress document but several comments and

> feedback

>> received till now have been addressed. We want to share updates so far and

>> look forward to further comments and discussion.

>> Thanks

>> -Authors

>> -----Original Message-----

>> From: [email-masked] <[email-masked]>

>> Sent: Wednesday, October 21, 2020 11:00 PM

>> To: Kiran Makhijani <[email-masked]>; Luis Contreras

>> <[email-masked]>; Reza Rokui

>> <[email-masked]>; Shunsuke Homma

>> <[email-masked]>; Jeff Tantsura <[email-masked]>;

>> Luis M. Contreras <[email-masked]>

>> Subject: New Version Notification for

>> draft-nsdt-teas-ietf-network-slice-definition-00.txt

>> A new version of I-D, draft-nsdt-teas-ietf-network-slice-definition-00.txt

>> has been successfully submitted by Kiran Makhijani and posted to the IETF

>> repository.

>> Name:                           draft-nsdt-teas-ietf-network-slice-definition

>> Revision:       00

>> Title:                              Definition of IETF Network Slices

>> Document date:         2020-10-21

>> Group:                          Individual Submission

>> Pages:                           17

>> URL:

>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie

>> tf.o

>> rg%2Farchive%2Fid%2Fdraft-nsdt-teas-ietf-network-slice-definition-

>> 00.txt&amp

>> ;data=04%7C01%7Ckiranm%40futurewei.com%7C80aac7efa01d43e055d208d

>> 8764fa8e5%7C

>> 0fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637389431798734419%7

>> CUnknown%7CTW

>> FpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVC

>> I6Mn0%3D

>> %7C2000&amp;sdata=7wm50bc73lEQm0WsZuuDrtMBr0hhmz3dUsSHLUji5r8

>> %3D&amp;reserve

>> d=0

>> Status:

>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatra

>> cke

> r.ietf.org%2Fdoc%2Fdraft-nsdt-teas-ietf-network-slice-definition%2F&amp;data

>> =04%7C01%7Ckiranm%40futurewei.com%7C80aac7efa01d43e055d208d8764f

>> a8e5%7C0fee8

>> ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637389431798734419%7CUnk

>> nown%7CTWFpbGZ

>> sb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn

>> 0%3D%7C20

>> 00&amp;sdata=diwg0Oe8QVWtuRFoP21aAAN%2FQ046hCe%2F1DI5vNgOH08

>> %3D&amp;reserved

>> =0

>> Htmlized:

>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatra

>> cke

>> r.ietf.org%2Fdoc%2Fhtml%2Fdraft-nsdt-teas-ietf-network-slice-

>> definition&amp;

>> data=04%7C01%7Ckiranm%40futurewei.com%7C80aac7efa01d43e055d208d8

>> 764fa8e5%7C0

>> fee8ff2a3b240189c753a1d5591fedc%7C1%7C1%7C637389431798734419%7C

>> Unknown%7CTWF

>> pbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI

>> 6Mn0%3D%

>> 7C2000&amp;sdata=H%2BuJYcBjXiSrz1raGpMrRthMlWHAAjvdZIQuOcAp1YE%3

>> D&amp;reserv

>> ed=0

>> Htmlized:

>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Ftools.ie

>> tf

>> .org%2Fhtml%2Fdraft-nsdt-teas-ietf-network-slice-definition-

>> 00&amp;data=04%7

>> C01%7Ckiranm%40futurewei.com%7C80aac7efa01d43e055d208d8764fa8e5%

>> 7C0fee8ff2a3

>> b240189c753a1d5591fedc%7C1%7C1%7C637389431798744414%7CUnknown

>> %7CTWFpbGZsb3d8

>> eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D

>> %7C2000&am

>> p;sdata=ZMr1EeR5CXXBvuPd0SndoJYxehAdgAmmaLkEz%2BkXrXE%3D&amp;re

>> served=0

>> Abstract:

>>     This document provides a definition of the term "IETF Network Slice"

>>     for use within the IETF and specifically as a reference for other

>>     IETF documents that describe or use aspects of network slices.

>>     The document also describes the characteristics of an IETF network

>>     slice, related terms and their meanings, and explains how IETF

>>     network slices can be used in combination with end-to-end network

>>     slices or independent of them.

>> Please note that it may take a couple of minutes from the time of

> submission

>> until the htmlized version and diff are available at tools.ietf.org.

>> The IETF Secretariat

>> _______________________________________________

>> Teas mailing list

>> [email-masked]

>> https://nam11.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie

>> tf.org%2Fmailman%2Flistinfo%2Fteas&amp;data=04%7C01%7Ckiranm%40futu

>> rewei.com%7C6dad12e7b3d147f151ce08d876669af2%7C0fee8ff2a3b240189c

>> 753a1d5591fedc%7C1%7C0%7C637389530342292715%7CUnknown%7CTWFp

>> bGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6

>> Mn0%3D%7C1000&amp;sdata=KTwJI1b62%2BemHwnZjOgc8v446%2Bgxhl8N3

>> Gy4QP6BdU0%3D&amp;reserved=0

> _______________________________________________

> Teas mailing list

> [email-masked]

> https://www.ietf.org/mailman/listinfo/teas